Azure Storage
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Azure Storage action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Upload files to Azure Storage",
"type": "AZURE_STORAGE",
"input_type": "BUILD_ARTIFACTS",
"trigger_time": "ON_EVERY_EXECUTION",
"local_path": "/assets",
"remote_path": "/remote",
"bucket_name": "buddytest",
"deletion_disabled": true,
"integration": {
"identifier": "azure"
},
"application_name": "buddytests",
"skip_content_type_setting": false,
"deployment_excludes": [
"/tmp/",
"*.log"
],
"deployment_includes": [
"/assets/style",
"/tmp/file.txt"
]
}'STATUS200 OK